    Plot the fit results, and the residuals, for a data set.

plot_fit_delchi(id=None, replot=False, overplot=False, clearwindow=True, **kwargs)
id - int or str, optional
replot - bool, optional
overplot - bool, optional
clearwindow - bool, optional

This creates two plots - the first from `plot_fit` and the second from `plot_delchi` - for a data set.

Plot the results for the default data set:

>>> plot_fit_delchi()

Overplot the 'core' results on those from the 'jet' data set, using a logarithmic scale for the X axis:

>>> set_xlog() >>> plot_fit_delchi('jet') >>> plot_fit_delchi('core', overplot=True)

Additional arguments can be given that are passed to the plot backend: the supported arguments match the keywords of the dictionary returned by `get_data_plot_prefs` . The following sets the error bars to be drawn in gray when using the Matplotlib backend:

>>> plot_fit_delchi(ecolor='gray')

PARAMETERS

The parameters for this function are:

Parameter
Definition
id
The data set. If not given then the default identifier is used, as returned by `get_default_id` .
replot
Set to True to use the values calculated by the last call to `plot_fit_delchi` . The default is False .
overplot
If True then add the data to an existing plot, otherwise create a new plot. The default is False .
clearwindow
Should the existing plot area be cleared before creating this new plot (e.g. for multi-panel plots)?

Notes

The additional arguments supported by `plot_fit_delchi` are the same as the keywords of the dictionary returned by `get_data_plot_prefs` , and are applied to both plots.

For the delchi plot, the ylog setting is ignored, and the Y axis is drawn using a linear scale.

Changes in CIAO

The overplot option now works.

The Y axis of the delchi plot is now always drawn using a linear scale.

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023